
Infrastructure - Task #1568

Support # 1566 (Closed): member node web testing

implement the response format from wstest package (results.html)

2011-05-16 21:39 - Rob Nahf

Status: Closed Start date: 2011-05-16

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone:  Story Points:  

Product Version: *   

Description

the output format from wstest is mostly what we want (at this point), so reformat output into this format.

History

#1 - 2011-05-23 17:55 - Rob Nahf

- translation missing: en.field_remaining_hours set to 8.0

#2 - 2011-05-27 19:44 - Rob Nahf

- Status changed from New to Closed

- translation missing: en.field_remaining_hours deleted (8.0)

implemented the westest html format for TestRunnerHttpServlet, modifying it for JUnit results.  The only shortcoming is lack of ability to add test

descriptions.  For unsuccessful tests, the message from junit.assert methods is used. but for successes, nothing is available. Making task to

incorporate a Java annotation for that purpose, but not sure if the junit runner will pass them through.
